## tcpreplay 2.3.3

=== Docs/Makefile ===
MAKEFLAGS=-s

all: images pdf txt ps rmtemp html

images:
	fig2dev -L eps flowheader.fig flowheader.eps

tex: images
	lyx -e latex FAQ.lyx
	lyx -e latex flowreplay.lyx

dvi: tex 
	texi2dvi FAQ.tex
	texi2dvi flowreplay.tex

html: tex 
	latex2html -nonavigation -no_subdir -split 0 -show_section_numbers FAQ.tex
	latex2html -nonavigation -no_subdir -split 0 -show_section_numbers flowreplay.tex


pdf: dvi
	dvipdfm FAQ.dvi
	dvipdfm flowreplay.dvi

txt:
	lyx -e text FAQ.lyx
	lyx -e text flowreplay.lyx

ps: dvi
	dvips -o FAQ.ps FAQ.dvi
	dvips -o flowreplay.ps flowreplay.dvi

rmtemp:
	rm -f labels.pl *.log *.toc WARNINGS *.aux index.html 

clean: rmtemp
	rm -f *~

distclean: rmtemp clean
	rm -f *.html *.pdf *.txt *.ps *.dvi *.tex  *.css images.pl img1.png *.eps

## tcpreplay 3.4.4

=== debian/changelog ===
tcpreplay (3.4.4-3) unstable; urgency=medium

  * extend the long description with the included executables to
    make them searchable with apt. closes: #796691
  * added enforce-maxpacket.patch. Thanks Christoph. closes: #829350
  * debian/compat moved to debhelper 9
  * debian/control raised Standards-Version no changes needed
  * debian/rules added hardening to the build

 -- Noël Köthe <noel@debian.org>  Sat, 02 Jul 2016 20:02:26 +0200

tcpreplay (3.4.4-2) unstable; urgency=low

  * debian/control fixed lintian error
    depends-on-build-essential-package-without-using-version and
    lintian warning debhelper-but-no-misc-depends

 -- Noël Köthe <noel@debian.org>  Sat, 07 Jul 2012 16:19:30 +0200

tcpreplay (3.4.4-1) unstable; urgency=low

  * new upstream release 2010-04-04 closes: Bug#634538
    Thanks gregor and Simon for the patch I changed a bit to
    get it build again
  * debian/control updated Standards-Version, no changes needed
  * added missing --enable-debug for the -d option
    closes: Bug#651073
  * debian/copyright updated year and email from docs/LICENSE

 -- Noël Köthe <noel@debian.org>  Fri, 06 Jul 2012 02:03:04 +0200

tcpreplay (3.4.3-2) unstable; urgency=low

  * debian/compat raised to 5 like the dependency in 3.4.3-1

 -- Noèl Köthe <noel@debian.org>  Sat, 25 Jul 2009 20:02:43 +0200

tcpreplay (3.4.3-1) unstable; urgency=low

  * new release from 2009-06-25
  * debian/control
    - removed URLs in description because we have Homepage:
    - updated Standards-Version (no changes needed)
    - raised Build-Depends version of debhelpter to 5

 -- Noèl Köthe <noel@debian.org>  Fri, 26 Jun 2009 10:25:15 +0200

tcpreplay (3.4.1-1) unstable; urgency=low

  * new upstream release from 2009-02-21
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Sat, 21 Feb 2009 14:37:11 +0100

tcpreplay (3.3.2-1) unstable; urgency=low

  * new upstream release from 2008-06-20
    (closes: Bug#505550)

 -- Noèl Köthe <noel@debian.org>  Sat, 15 Nov 2008 22:57:38 +0100

tcpreplay (3.3.1-1) unstable; urgency=low

  * new upstream release from 2008-05-17
  * debin/control added Homepage:

 -- Noèl Köthe <noel@debian.org>  Thu, 22 May 2008 18:05:19 +0200

tcpreplay (3.2.4-1) unstable; urgency=low

  * new upstream release from 2008-01-16
  * remove empty dirs from package /usr/sbin

 -- Noèl Köthe <noel@debian.org>  Sun, 20 Jan 2008 12:11:17 +0100

tcpreplay (3.2.3-1) unstable; urgency=low

  * new upstream release from 2007-11-01
    - fixes double free if tcpreplay -N is launched as normal user 
      (closes: Bug#442132)
  * correcting debian-rules-ignores-make-clean-error correct
    (closes: Bug#448259)
  * fixed sourceforge watch file
    (closes: Bug#450062)

 -- Noèl Köthe <noel@debian.org>  Sun, 11 Nov 2007 13:18:21 +0100

tcpreplay (3.2.1-1) unstable; urgency=low

  * new upstream release from 2007-10-25
  * correcting debian-rules-ignores-make-clean-error

 -- Noèl Köthe <noel@debian.org>  Fri, 26 Oct 2007 17:54:14 +0200

tcpreplay (3.2.0-1) unstable; urgency=low

  * new upstream release from 2007-08-27

 -- Noèl Köthe <noel@debian.org>  Mon, 27 Aug 2007 18:21:31 +0200

tcpreplay (3.1.1-1) unstable; urgency=low

  * new upstream release from 2007-07-19

 -- Noèl Köthe <noel@debian.org>  Sun, 22 Jul 2007 13:03:44 +0200

tcpreplay (3.0.1-1) unstable; urgency=low

  * new upstream release from 2007-05-01
    - fixed gcc 4.3 "inline" change (closes: Bug#416857)
  * added build-dep autotools-dev to update config.sub+.guess

 -- Noèl Köthe <noel@debian.org>  Sun, 06 May 2007 11:40:47 +0200

tcpreplay (2.99+3.0.rc1-1) unstable; urgency=low

  * new upstream release from 2007-04-15
    - upstream removed the docs/*.pdf
  * dlt problem should be fixed since beta13
    http://tcpreplay.synfin.net/trac/ticket/82
    (closes: Bug#414613)

 -- Noèl Köthe <noel@debian.org>  Sun, 15 Apr 2007 14:10:24 +0200

tcpreplay (2.99+3.0.beta11-4) unstable; urgency=low

  * rebuilt to built against libopts25
    (closes: Bug#409056)

 -- Noèl Köthe <noel@debian.org>  Fri, 02 Feb 2007 22:51:37 +0100

tcpreplay (2.99+3.0.beta11-3) unstable; urgency=low

  * fix compile error (newpkt undeclared, post_args)
    http://tcpreplay.synfin.net/trac/changeset/1589 and
    http://tcpreplay.synfin.net/trac/changeset/1590
    (closes: Bug#387670)

 -- Noèl Köthe <noel@debian.org>  Sat, 16 Sep 2006 15:17:17 +0200

tcpreplay (2.99+3.0.beta11-2) unstable; urgency=low

  * fix compile error (no field ipbuff)
    http://tcpreplay.synfin.net/trac/changeset/1587
    (closes: Bug#379657)
  * removing build-deps libnids-dev, libnet1-dev
    (not needed anymore)

 -- Noèl Köthe <noel@debian.org>  Fri, 15 Sep 2006 15:08:17 +0200

tcpreplay (2.99+3.0.beta11-1) unstable; urgency=low

  * new upstream from 2006-08-08

 -- Noèl Köthe <noel@debian.org>  Tue, 08 Aug 2006 22:01:01 +0200

tcpreplay (2.99+3.0.beta9-1) unstable; urgency=low

  * new upstream from 2006-07-17
  * updated standards-version

 -- Noèl Köthe <noel@debian.org>  Sat, 22 Jul 2006 11:34:10 +0200

tcpreplay (2.99+3.0.beta7-2) unstable; urgency=low

  * updated homepage http://tcpreplay.synfin.net
  * fix conflicting types for 'speed_t'
    (closes: Bug#361065)

 -- Noèl Köthe <noel@debian.org>  Mon, 10 Apr 2006 22:07:02 +0200

tcpreplay (2.99+3.0.beta7-1) unstable; urgency=low

  * new upstream beta

 -- Noèl Köthe <noel@debian.org>  Wed, 24 Aug 2005 18:01:46 +0200

tcpreplay (2.99+3.0.beta6-4) unstable; urgency=low

  * change build-dep from libpcap0.9 to libpcap0.8

 -- Noèl Köthe <noel@debian.org>  Thu, 07 Jul 2005 17:22:05 +0200

tcpreplay (2.99+3.0.beta6-3) unstable; urgency=low

  * removed libopts* files from the package and depends on
    autogen/libopts25 which provides these files
    (closes: Bug#316950)
  * added libnids-dev build-dependency

 -- Noèl Köthe <noel@debian.org>  Thu, 07 Jul 2005 17:22:05 +0200

tcpreplay (2.99+3.0.beta6-2) unstable; urgency=low

  * remove stupid man2html in package



=== debian/control ===
Source: tcpreplay
Section: net
Priority: optional
Maintainer: Noël Köthe <noel@debian.org>
Build-Depends: debhelper (>= 9.0.0), libpcap0.8-dev, tcpdump, autogen, dh-autoreconf, dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.8
Homepage: http://tcpreplay.synfin.net/

Package: tcpreplay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool to replay saved tcpdump files at arbitrary speeds
 Tcpreplay is aimed at testing the performance of a NIDS by
 replaying real background network traffic in which to hide
 attacks. Tcpreplay allows you to control the speed at which the
 traffic is replayed, and can replay arbitrary tcpdump traces. Unlike
 programmatically-generated artificial traffic which doesn't
 exercise the application/protocol inspection that a NIDS performs,
 and doesn't reproduce the real-world anomalies that appear on
 production networks (asymmetric routes, traffic bursts/lulls,
 fragmentation, retransmissions, etc.), tcpreplay allows for exact
 replication of real traffic seen on real networks. It included the following
 executables tcpprep, tcprewrite, tcpreplay-edit, tcpbridge and pcap
 based captures are possible.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
confflags= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
confflags= --build $(DEB_BUILD_GNU_TYPE)
endif

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -g -Wall

configure-stamp:
	dh_testdir
	dh_autoreconf
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--enable-debug \
		--enable-dynamic-link \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/tcpreplay.sgml > tcpreplay.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tcpreplay.
	$(MAKE) install prefix=$(CURDIR)/debian/tcpreplay/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installcron
	dh_installman
	dh_installchangelogs docs/CHANGELOG
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tcpreplay 4.2.4

=== debian/changelog ===
tcpreplay (4.2.4-1) unstable; urgency=medium

  * New maintainer. Thanks Noël Köthe for many years of maintaining and
    also for handing over.
  * New upstream version 4.2.4. Closes: #792248

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 29 Apr 2017 11:33:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: tcpreplay
+Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Homepage: http://tcpreplay.appneta.com/
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10~),
+    autogen,
+    dh-autoreconf,
+    libpcap0.8-dev,
+    tcpdump,
+Priority: optional
 Section: net
-Priority: optional
-Maintainer: Noël Köthe <noel@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libpcap0.8-dev, tcpdump, autogen, dh-autoreconf, dpkg-dev (>= 1.16.0)
-Standards-Version: 3.9.8
-Homepage: http://tcpreplay.synfin.net/
 
 Package: tcpreplay
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Tool to replay saved tcpdump files at arbitrary speeds
  Tcpreplay is aimed at testing the performance of a NIDS by
  replaying real background network traffic in which to hide
@@ -22,4 +26,3 @@
  replication of real traffic seen on real networks. It included the following
  executables tcpprep, tcprewrite, tcpreplay-edit, tcpbridge and pcap
  based captures are possible.
-

## tcpreplay 4.2.5

=== debian/changelog ===
tcpreplay (4.2.5-1) unstable; urgency=medium

  * New upstream version 4.2.5. Also fixes test for architectures
    where unaligned memory access is not acceptable. Closes: #861539

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 09 May 2017 01:10:08 +0200

## tcpreplay 4.2.6

=== debian/changelog ===
tcpreplay (4.2.6-1) unstable; urgency=medium

  * Handle frames with a capture length bigger than the buffer

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 01 Aug 2017 22:21:48 +0000

tcpreplay (4.2.6-1~exp1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 4.2.6. Fixes build error on sparc64

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 16 May 2017 17:48:35 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 10~),
     autogen,
-    dh-autoreconf,
     libpcap0.8-dev,
     tcpdump,
 Priority: optional

## tcpreplay 4.3.1

=== debian/changelog ===
tcpreplay (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
    Closes: #917574 [CVE-2018-20552 CVE-2018-20553]
    Closes: #902952 [CVE-2018-13112]
    Closes: #910596 [CVE-2018-17580]
    Closes: #910597 [CVE-2018-17582]
    Closes: #910598 [CVE-2018-17974]
    Closes: #911454 [CVE-2018-18407]
    Closes: #911493 [CVE-2018-18408]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 11 Feb 2019 08:15:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tcpreplay
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: http://tcpreplay.appneta.com/
-Standards-Version: 3.9.8
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10~),
     autogen,
     libpcap0.8-dev,

## tcpreplay 4.3.2

=== debian/changelog ===
tcpreplay (4.3.2-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:12:46 +0000

tcpreplay (4.3.2-1) unstable; urgency=medium

  * New upstream version 4.3.2

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 26 Jul 2019 19:33:12 +0200

tcpreplay (4.3.1-2) unstable; urgency=high

  * Fix three more issues
    Closes: #922624 [CVE-2019-8376]
    Closes: #922623 [CVE-2019-8377]
    Closes: #922622 [CVE-2019-8381]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 13 Mar 2019 00:04:30 +0100

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://github.com/appneta/tcpreplay/releases \
    /appneta/tcpreplay/releases/download/[^/]+/tcpreplay-([0-9][.0-9]*)\.tar\.xz

## tcpreplay 4.3.3

=== debian/changelog ===
tcpreplay (4.3.3-2) unstable; urgency=medium

  * Fix build error on i386

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 26 Jul 2020 12:35:29 +0200

tcpreplay (4.3.3-1) unstable; urgency=medium

  * New upstream version 4.3.3. Closes: #957862

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 25 Jul 2020 09:22:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: tcpreplay
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: http://tcpreplay.appneta.com/
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10~),
+Standards-Version: 4.4.0
+Vcs-Browser: https://git.in-ulm.de/cbiedl/tcpreplay
+Vcs-Git: https://git.in-ulm.de/cbiedl/tcpreplay.git
+Build-Depends: debhelper-compat (= 12),
     autogen,
     libpcap0.8-dev,
     tcpdump,

## tcpreplay 4.3.4

=== debian/changelog ===
tcpreplay (4.3.4-1) unstable; urgency=medium

  * New upstream version 4.3.4
    Closes: #972889 [CVE-2020-24266]
    Closes: #972890 [CVE-2020-24265]

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 25 Aug 2021 10:00:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: tcpreplay
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: http://tcpreplay.appneta.com/
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://git.in-ulm.de/cbiedl/tcpreplay
 Vcs-Git: https://git.in-ulm.de/cbiedl/tcpreplay.git
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
     autogen,
     libpcap0.8-dev,
     tcpdump,
 Priority: optional
+Rules-Requires-Root: no
 Section: net
 
 Package: tcpreplay

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://github.com/appneta/tcpreplay/releases \
    /appneta/tcpreplay/releases/download/[^/]+/tcpreplay-([0-9][.0-9]*)\.tar\.xz

## tcpreplay 4.4.0

=== debian/changelog ===
tcpreplay (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 05 Feb 2022 18:49:32 +0100

## tcpreplay 4.4.1

=== debian/changelog ===
tcpreplay (4.4.1-2ubuntu1) kinetic; urgency=medium

  * SECURITY UPDATE: heap-overflow in get_l2len_protocol
    - debian/patches/CVE-2022-25484_27941.patch: fix heap overflow in
      get_l2len_protocol
    - CVE-2022-25484
    - CVE-2022-27941
  * SECURITY UPDATE: reachable assertion in get_layer4_v6
    - debian/patches/CVE-2022-27939.patch: fix null pointer dereference in
      get_layer4_v6
    - CVE-2022-27939
  * SECURITY UPDATE: heap-overflow in get_ipv6_next
    - debian/patches/CVE-2022-27940_37047_37049.patch: Add end_ptr to key
      functions, which make it easier to implement overflow protections
    - CVE-2022-27940
    - CVE-2022-37047
    - CVE-2022-37049
  * SECURITY UPDATE: heap-overflow in parse_mpls
    - debian/patches/CVE-2022-27942.patch: Add better overflow protection in
      parse_mpls
    - CVE-2022-27942
  * SECURITY UPDATE: format string vulnerability in fix_ipv6_checksums
    - debian/patches/CVE-2022-28487.patch: fix format string in
      src/tcpedit/edit_packet.c file
    - CVE-2022-28487
  * SECURITY UPDATE: heap-overflow in get_l2len_protocol
    - debian/patches/CVE-2022-37048.patch: fix heap-overflow by checking data
      length correctly
    - CVE-2022-37048

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 27 Sep 2022 09:25:27 +0530

tcpreplay (4.4.1-2) unstable; urgency=medium

  * Also disable for: alpha, ia64, mipsel, mips64el

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 25 Apr 2022 19:58:02 +0200

tcpreplay (4.4.1-1) unstable; urgency=medium

  * New upstream version 4.4.1
  * Restrict architectures to those that do not require strict alignment

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 21 Apr 2022 20:56:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tcpreplay
-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: http://tcpreplay.appneta.com/
 Standards-Version: 4.6.0
 Vcs-Browser: https://git.in-ulm.de/cbiedl/tcpreplay
@@ -13,7 +14,7 @@
 Section: net
 
 Package: tcpreplay
-Architecture: any
+Architecture: amd64 arm64 armel hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 x32
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Tool to replay saved tcpdump files at arbitrary speeds
  Tcpreplay is aimed at testing the performance of a NIDS by

## tcpreplay 4.4.2

=== debian/changelog ===
tcpreplay (4.4.2-1) unstable; urgency=medium

  * New upstream version 4.4.2. Closes: #1018057
    [CVE-2022-25484] [CVE-2022-27939] [CVE-2022-27940] [CVE-2022-27941]
    [CVE-2022-27942] [CVE-2022-28487] [CVE-2022-37047] [CVE-2022-37048]
    [CVE-2022-37049]
  * Build for all architectures again

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Thu, 22 Sep 2022 17:44:36 +0200

## tcpreplay 4.4.3

=== debian/changelog ===
tcpreplay (4.4.3-1) unstable; urgency=medium

  * New upstream version 4.4.3
  * Compile with libdumbnet in order to enable the fragroute feature.
    Closes: #1006783

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 02 Jan 2023 18:36:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: tcpreplay
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: http://tcpreplay.appneta.com/
 Standards-Version: 4.6.0
 Vcs-Browser: https://git.in-ulm.de/cbiedl/tcpreplay
 Vcs-Git: https://git.in-ulm.de/cbiedl/tcpreplay.git
 Build-Depends: debhelper-compat (= 13),
     autogen,
+    libdumbnet-dev,
     libpcap0.8-dev,
     tcpdump,
 Priority: optional
@@ -14,7 +14,7 @@
 Section: net
 
 Package: tcpreplay
-Architecture: amd64 arm64 armel hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 m68k powerpc ppc64 ppc64el riscv64 s390x sh4 x32
+Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Tool to replay saved tcpdump files at arbitrary speeds
  Tcpreplay is aimed at testing the performance of a NIDS by

## tcpreplay 4.4.4

=== debian/changelog ===
tcpreplay (4.4.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:24:42 +1100

tcpreplay (4.4.4-1build1) noble; urgency=high

  * No change rebuild against libpcap0.8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:56:32 +0100

tcpreplay (4.4.4-1) unstable; urgency=medium

  * New upstream version 4.4.4

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 02 Sep 2023 17:46:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: tcpreplay
-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: http://tcpreplay.appneta.com/
 Standards-Version: 4.6.0
 Vcs-Browser: https://git.in-ulm.de/cbiedl/tcpreplay

## tcpreplay 4.5.1

=== debian/changelog ===
tcpreplay (4.5.1-1) unstable; urgency=medium

  * New upstream version 4.5.1

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 10 Aug 2024 22:00:30 +0200

## tcpreplay 4.5.2

=== debian/changelog ===
tcpreplay (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2. Closes: #1097976, #1111316

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 05 Sep 2025 08:43:44 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--enable-debug \
		--enable-dynamic-link \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

=== debian/tests/control ===
Tests: run-testsuite
Depends: @, perl
Restrictions:
    allow-stderr,

=== debian/watch ===

version=4
opts="searchmode=plain,pgpsigurlmangle=s/$/.asc/" \
https://api.github.com/repos/appneta/@PACKAGE@/releases \
    https://github.com/appneta/@PACKAGE@/releases/download/v[^/]+/@PACKAGE@-([0-9]+\.[0-9]+\.[0-9]+)@ARCHIVE_EXT@
